ros-lunar-moveit-core (0.9.11-0zesty) zesty; urgency=high

  * [fix] #723; attached bodies are not shown in trajectory visualization anymore #724 <https://github.com/ros-planning/moveit/issues/724>
  * [fix] Shortcomings in kinematics plugins #714 <https://github.com/ros-planning/moveit/issues/714>
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Mon, 25 Dec 2017 08:00:00 -0000

ros-lunar-moveit-core (0.9.10-0zesty) zesty; urgency=high

  * [fix] Add missing logWarn argument (#707 <https://github.com/ros-planning/moveit/issues/707>)
  * [fix] IKConstraintSampler: Fixed transform from end-effector to ik chain tip. #582 <https://github.com/ros-planning/moveit/issues/582>
  * [fix] robotStateMsgToRobotState: is_diff==true => not empty #589 <https://github.com/ros-planning/moveit/issues/589>
  * [capability] Multi DOF Trajectory only providing translation not velocity (#555 <https://github.com/ros-planning/moveit/issues/555>)
  * [capability] Adds parameter lookup function for kinematics plugins (#701 <https://github.com/ros-planning/moveit/issues/701>)
  * [improve] Make operator bool() explicit #696 <https://github.com/ros-planning/moveit/pull/696>
  * [improve] Get msgs from Planning Scene #663 <https://github.com/ros-planning/moveit/issues/663>
  * [improve] moveit_core: export DEPENDS on LIBFCL `#632 https://github.com/ros-planning/moveit/pull/632>`_
  * [improve] RobotState: Changed multi-waypoint version of computeCartesianPath to test joint space jumps after all waypoints are generated. (#576 <https://github.com/ros-planning/moveit/issues/576>)
  * [improve] Better debug output for IK tip frames (#603 <https://github.com/ros-planning/moveit/issues/603>)
  * [improve] New debug console colors YELLOW PURPLE (#604 <https://github.com/ros-planning/moveit/issues/604>)
  * Contributors: Dave Coleman, Dennis Hartmann, Henning Kayser, Isaac I.Y. Saito, Jorge Nicho, Michael Görner, Phil, Sarah Elliott, Simon Schmeisser, TroyCordie, v4hn

 -- Dave Coleman <dave@dav.ee>  Sat, 09 Dec 2017 08:00:00 -0000

ros-lunar-moveit-core (0.9.9-0zesty) zesty; urgency=high

  * [fix][moveit_core] segfault due to missing string format parameter. (#547 <https://github.com/ros-planning/moveit/issues/547>)
  * [fix][moveit_core] doc-comment for robot_state::computeAABB (#516 <https://github.com/ros-planning/moveit/issues/516>)
  * Contributors: Martin Pecka, henhenhen

 -- Dave Coleman <dave@dav.ee>  Sun, 06 Aug 2017 07:00:00 -0000

ros-lunar-moveit-core (0.9.8-0zesty) zesty; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 21 Jun 2017 07:00:00 -0000

ros-lunar-moveit-core (0.9.7-0zesty) zesty; urgency=high

  * [fix] checks for empty name arrays messages before parsing the robot state message data (#499 <https://github.com/ros-planning/moveit/issues/499>)
  * Contributors: Jorge Nicho, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Mon, 05 Jun 2017 07:00:00 -0000

ros-lunar-moveit-core (0.9.6-0zesty) zesty; urgency=high

  * [fix] PlanarJointModel::getVariableRandomPositionsNearBy (#464 <https://github.com/ros-planning/moveit/issues/464>)
  * Contributors: Tamaki Nishino

 -- Dave Coleman <dave@dav.ee>  Wed, 12 Apr 2017 07:00:00 -0000

ros-lunar-moveit-core (0.9.5-0zesty) zesty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Wed, 08 Mar 2017 08:00:00 -0000

ros-lunar-moveit-core (0.9.4-0zesty) zesty; urgency=high

  * [fix] PlanningScene: Don't reset color information of existing objects when new entries are added (#410 <https://github.com/ros-planning/moveit/issues/410>)
  * [fix] update link transforms in UnionConstraintSampler::project (#384 <https://github.com/ros-planning/moveit/issues/384>)
  * [capability Addition of Set Joint Model Group Velocities and Accelerations Functions (#402 <https://github.com/ros-planning/moveit/issues/402>)
  * [capability] time parameterization: use constants (#380 <https://github.com/ros-planning/moveit/issues/380>)
  * [enhancement] multiple shapes in an attached collision object #421 <https://github.com/ros-planning/moveit/pull/421>
  * [maintenance] Use static_cast to cast to const. (#433 <https://github.com/ros-planning/moveit/issues/433>)
  * [maintenance] ompl_interface: uniform & simplified handling of the default planner (#371 <https://github.com/ros-planning/moveit/issues/371>)
  * Contributors: Dave Coleman, Maarten de Vries, Michael Goerner, Mike Lautman, Ruben

 -- Dave Coleman <dave@dav.ee>  Mon, 06 Feb 2017 08:00:00 -0000

ros-lunar-moveit-core (0.9.3-0zesty) zesty; urgency=high

  * [fix] Replace unused service dependency with msg dep (#361 <https://github.com/ros-planning/moveit/issues/361>)
  * [fix] cleanup urdfdom compatibility (#319 <https://github.com/ros-planning/moveit/issues/319>)
  * [fix] Fix missing compatibility header for Wily #364 <https://github.com/ros-planning/moveit/issues/364>)
  * [enhancement] Improved RobotState feedback for setFromIK() (#342 <https://github.com/ros-planning/moveit/issues/342>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Wed, 16 Nov 2016 08:00:00 -0000

ros-lunar-moveit-core (0.9.2-0zesty) zesty; urgency=high

  * [Fix] CHANGELOG encoding for 0.9.1 (Fix #318 <https://github.com/ros-planning/moveit/issues/318>). (#327 <https://github.com/ros-planning/moveit/issues/327>)
  * [Capability] compatibility to urdfdom < 0.4 (#317 <https://github.com/ros-planning/moveit/issues/317>)
  * [Capability] New isValidVelocityMove() for checking maximum velocity between two robot states given time delta
  * [Maintenance] Travis check code formatting (#309 <https://github.com/ros-planning/moveit/issues/309>)
  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman, Isaac I. Y. Saito, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sat, 05 Nov 2016 07:00:00 -0000

ros-lunar-moveit-core (0.8.2-0zesty) zesty; urgency=high

  * [feat] planning_scene updates: expose success state to caller. This is required to get the information back for the ApplyPlanningSceneService. #296 <https://github.com/ros-planning/moveit_core/issues/297>
  * [sys] replaced cmake_modules dependency with eigen
  * Contributors: Michael Ferguson, Robert Haschke, Michael Goerner, Isaac I. Y. Saito

 -- Dave Coleman <dave@dav.ee>  Fri, 17 Jun 2016 07:00:00 -0000

ros-lunar-moveit-core (0.8.1-0zesty) zesty; urgency=high

  * Corrected check in getStateAtDurationFromStart (cherry-picking #291 <https://github.com/ros-planning/moveit_core/issues/291> from indigo-devel)
  * Contributors: Hamal Marino

 -- Dave Coleman <dave@dav.ee>  Thu, 19 May 2016 07:00:00 -0000

ros-lunar-moveit-core (0.8.0-0zesty) zesty; urgency=high

  * [feat] Added file and trajectory_msg to RobotState conversion functions #267 <https://github.com/ros-planning/moveit_core/issues/267>
  * [feat] Added setJointVelocity and setJointEffort functions #261 <https://github.com/ros-planning/moveit_core/issues/261>
  * [feat] KinematicsBase changes #248 <https://github.com/ros-planning/moveit_core/issues/248>
  * [feat] added an ik_seed_state argument to the new getPositionIK(...) method
  * [feat] added new interface method for computing multiple ik solutions for a single pose
  * [fix] RevoluteJointModel::computeVariablePositions #282 <https://github.com/ros-planning/moveit_core/issues/282>
  * [fix] getStateAtDurationFromStart would never execute as the check for number of waypoints was inverted #289 <https://github.com/ros-planning/moveit_core/issues/289>
  * [fix] Revert "Use libfcl-dev rosdep key in kinetic" #287 <https://github.com/ros-planning/moveit_core/issues/287>
  * [fix] memory leak in RobotState::attachBody #276 <https://github.com/ros-planning/moveit_core/issues/276>. Fixing #275 <https://github.com/ros-planning/moveit_core/issues/275>
  * [fix] New getOnlyOneEndEffectorTip() function #262 <https://github.com/ros-planning/moveit_core/issues/262>
  * [fix] issue #258 <https://github.com/ros-planning/moveit_core/issues/258> in jade-devel #266 <https://github.com/ros-planning/moveit_core/issues/266>
  * [fix] Segfault in parenthesis operator #254 <https://github.com/ros-planning/moveit_core/issues/254>
  * [fix] API Change of shape_tools #242 <https://github.com/ros-planning/moveit_core/issues/242>
  * [fix] Fixed bug in KinematicConstraintSet::decide that makes it evaluate only joint_constraints. #250 <https://github.com/ros-planning/moveit_core/issues/250>
  * [fix] Prevent divide by zero #246 <https://github.com/ros-planning/moveit_core/issues/246>
  * [fix] removed the 'f' float specifiers and corrected misspelled method name
  * [fix] typo MULTIPLE_TIPS_NO_SUPPORTED -> MULTIPLE_TIPS_NOT_SUPPORTED
  * [sys] Upgrade to Eigen3 as required in Jade #293 <https://github.com/ros-planning/moveit_core/issues/293>
  * [sys] [cmake] Tell the compiler about FCL include dirs #263 <https://github.com/ros-planning/moveit_core/issues/263>
  * [sys] Install static libs #251 <https://github.com/ros-planning/moveit_core/issues/251>
  * [enhance] Allow a RobotTrajectory to be initialized with a pointer joint model group #245 <https://github.com/ros-planning/moveit_core/issues/245>
  * [doc] Better documentation and formatting #244 <https://github.com/ros-planning/moveit_core/issues/244>
  * Contributors: Alexis Ballier, Bastian Gaspers, Christian Dornhege, Dave Coleman, Gary Servin, Ioan A Sucan, Isaac I.Y. Saito, Jim Mainprice, Levi Armstrong, Michael Ferguson, Mihai Pomarlan, Robert Haschke, Sachin Chitta, Sam Pfeiffer, Steven Peters, Severin Lemaignan, jrgnicho, ros-devel, simonschmeisser

 -- Dave Coleman <dave@dav.ee>  Wed, 18 May 2016 07:00:00 -0000

ros-lunar-moveit-core (0.6.15-0zesty) zesty; urgency=high

  * add ptr/const ptr types for distance field
  * update maintainers
  * Contributors: Ioan A Sucan, Michael Ferguson

 -- Dave Coleman <dave@dav.ee>  Tue, 20 Jan 2015 08:00:00 -0000

ros-lunar-moveit-core (0.6.14-0zesty) zesty; urgency=high

  * Add time factor to iterative_time_parametrization
  * Contributors: Dave Coleman, Michael Ferguson, kohlbrecher

 -- Dave Coleman <dave@dav.ee>  Thu, 15 Jan 2015 08:00:00 -0000

ros-lunar-moveit-core (0.6.13-0zesty) zesty; urgency=high

  * add getShapePoints() to distance field
  * update distance_field API to no longer use geometry_msgs
  * Added ability to remove all collision objects directly through API (without using ROS msgs)
  * Planning Scene: Ability to offset geometry loaded from stream
  * Namespaced pr2_arm_kinematics_plugin tests to allow DEBUG output to be suppressed during testing
  * Contributors: Dave Coleman, Ioan A Sucan, Michael Ferguson

 -- Dave Coleman <dave@dav.ee>  Sat, 20 Dec 2014 08:00:00 -0000

ros-lunar-moveit-core (0.6.12-0zesty) zesty; urgency=high

  * Merge pull request #214 <https://github.com/ros-planning/moveit_core/issues/214> from mikeferguson/collision_plugin
    moveit_core components of collision plugins
  * Merge pull request #210 <https://github.com/ros-planning/moveit_core/issues/210> from davetcoleman/debug_model
    Fix truncated debug message
  * Fixed a number of tests, all are now passing on buildfarm
  * Merge pull request #208 <https://github.com/ros-planning/moveit_core/issues/208> from mikeferguson/update_fcl_api
    update to use non-deprecated call
  * Contributors: Dave Coleman, Ioan A Sucan, Michael Ferguson

 -- Dave Coleman <dave@dav.ee>  Wed, 03 Dec 2014 08:00:00 -0000

ros-lunar-moveit-core (0.6.11-0zesty) zesty; urgency=high

  * Merge pull request #204 <https://github.com/ros-planning/moveit_core/issues/204> from mikeferguson/indigo-devel
    forward port #198 <https://github.com/ros-planning/moveit_core/issues/198> to indigo
  * forward port #198 <https://github.com/ros-planning/moveit_core/issues/198> to indigo
  * Contributors: Ioan A Sucan, Michael Ferguson

 -- Dave Coleman <dave@dav.ee>  Mon, 03 Nov 2014 08:00:00 -0000

ros-lunar-moveit-core (0.6.10-0zesty) zesty; urgency=high

  * Made setVerbose virtual in constraint_sampler so that child classes can override
  * Manipulability Index Error for few DOF
    When the group has fewer than 6 DOF, the Jacobian is of the form 6xM and when multiplied by its transpose, forms a 6x6 matrix that is singular and its determinant is always 0 (or NAN if the solver cannot calculate it).
    Since calculating the SVD of a Jacobian is a costly operation, I propose to retain the calculation of the Manipulability Index through the determinant for 6 or more DOF (where it produces the correct result), but use the product of the singular values of the Jacobian for fewer DOF.
  * Fixed missing test depends for tf_conversions
  * Allow setFromIK() with multiple poses to single IK solver
  * Improved debug output
  * Removed duplicate functionality poseToMsg function
  * New setToRandomPositions function with custom rand num generator
  * Moved find_package angles to within CATKIN_ENABLE_TESTING
  * Getter for all tips (links) of every end effector in a joint model group
  * New robot state to (file) stream conversion functions
  * Added default values for iostream in print statements
  * Change PlanningScene constructor to RobotModelConstPtr
  * Documentation and made printTransform() public
  * Reduced unnecessary joint position copying
  * Added getSubgroups() helper function to joint model groups
  * Maintain ordering of poses in order that IK solver expects
  * Added new setToRandomPositions function that allows custom random number generator to be specified
  * Split setToIKSolverFrame() into two functions
  * Add check for correct solver type
  * Allowed setFromIK to do whole body IK solving with multiple tips
  * Contributors: Acorn, Dave Coleman, Ioan A Sucan, Jonathan Weisz, Konstantinos Chatzilygeroudis, Sachin Chitta, hersh

 -- Dave Coleman <dave@dav.ee>  Mon, 27 Oct 2014 07:00:00 -0000

ros-lunar-moveit-core (0.5.10-0zesty) zesty; urgency=high

  * making Saucy and Trusty version of includes to be compatible with upstream packaging. re: https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Dave Coleman <dave@dav.ee>  Mon, 30 Jun 2014 07:00:00 -0000

ros-lunar-moveit-core (0.5.9-0zesty) zesty; urgency=high

  * Fixed bug in RevoluteJointModel::distance() giving large negative numbers.
  * kinematics_base: added an optional RobotState for context.
  * fix pick/place approach/retreat on indigo/14.04
  * Fixed bug in RevoluteJointModel::distance() giving large negative numbers.
  * IterativeParabolicTimeParameterization now ignores virtual joints.
  * kinematics_base: added an optional RobotState for context.
  * Removed check for multi-dof joints in iterative_time_parameterization.cpp.
  * fix pick/place approach/retreat on indigo/14.04
  * IterativeParabolicTimeParameterization now ignores virtual joints.
    When checking if all joints are single-DOF, it accepts multi-DOF joints only if they are
    also virtual.
  * Fix compiler warnings
  * Address [cppcheck: unreadVariable] warning.
  * Address [cppcheck: postfixOperator] warning.
  * Address [cppcheck: stlSize] warning.
  * Address [-Wunused-value] warning.
  * Address [-Wunused-variable] warning.
  * Address [-Wreturn-type] warning.
  * Address [-Wsign-compare] warning.
  * Address [-Wreorder] warning.
  * Allow joint model group to have use IK solvers with multiple tip frames
  * KinematicsBase support for multiple tip frames and IK requests with multiple poses
  * dynamics_solver: fix crashbug
    Ignore joint that does not exist (including the virtual joint if it is part of
    the group).
  * Changed KinematicsBase::supportsGroup() to use a more standard call signature.
  * Merged with hydro-devel
  * Removed unnecessary error output
  * Removed todo
  * Added support for legacy IK calls without solution_callback
  * Merge branch 'hydro-devel' into kinematic_base
  * Changed KinematicsBase::supportsGroup() to use a more standard call signature.
  * Added empty check.
  * computeCartesianPath waypoints double-up fix
    computeCartesianPath appends full trajectories between waypoints when given a vector of waypoints. As trajectories include their endpoints, this leads to the combined trajectory being generated with duplicate points at waypoints, which can lead to pauses or stuttering.
    This change skips the first point in trajectories generated between waypoints.
  * avoid unnecessary calculations
  * Created supportsGroup() test for IK solvers
  * from ros-planning/more-travis-tests
    More Travis test fixes.
  * Commented out failing test.
    run_tests_moveit_ros_perception requires glut library, and thus a video card or X server, but I haven't had any luck making such things work on Travis.
  * avoid unnecessary calculations
    If we are not going to use the missing vector then we should not create it
    (avoid an expensive operation).
  * Code cleanup
  * Allow joint model group to have use IK solvers with multiple tip frames
  * Authorship
  * Fixed missing removeSlash to setValues()
  * Feedback and cleaned up comment lengths
  * Cleaned up commit
  * KinematicsBase support for multiple tip frames and IK requests with multiple poses
  * More Travis test fixes.
    Switched test_constraint_samplers.cpp from build-time to run-time reference to moveit_resources.
    Added passing run_tests_moveit_core_gtest_test_robot_state_complex test to .travis.yml.
    Added 'make tests' to .travis.yml to make all tests, even failing ones.
  * Contributors: Acorn Pooley, Adolfo Rodriguez Tsouroukdissian, Dave Coleman, Dave Hershberger, Martin Szarski, Michael Ferguson, Sachin Chitta, hersh, sachinc

 -- Dave Coleman <dave@dav.ee>  Mon, 23 Jun 2014 07:00:00 -0000

ros-lunar-moveit-core (0.5.8-0zesty) zesty; urgency=high

  * Dix bad includes after upstream catkin fix
  * update how we find eigen: this is needed for indigo
  * Contributors: Ioan A Sucan, Dirk Thomas, Vincent Rabaud

 -- Dave Coleman <dave@dav.ee>  Mon, 03 Mar 2014 08:00:00 -0000

ros-lunar-moveit-core (0.5.7-0zesty) zesty; urgency=high

  * Constraint samplers bug fix and improvements
  * fix for reverting PR #148
  * Fix joint variable location segfault
  * Better enforce is_valid as a flag that indicated proper configuration has been completed, added comments and warning
  * Fix fcl dependency in CMakeLists.txt
  * Fixed asymmetry between planning scene read and write.
  * Improved error output for state conversion
  * Added doxygen for RobotState::attachBody() warning of danger.
  * Improved error output for state converstion
  * Debug and documentation
  * Added new virtual getName() function to constraint samplers
  * Made getName() const with static variable
  * KinematicsMetrics crashes when called with non-chain groups.
  * Added prefixes to debug messages
  * Documentation / comments
  * Fixed asymmetry between planning scene read and write.
  * Added new virtual getName function to constraint samplers for easier debugging and plugin management
  * KinematicsMetrics no longer crashes when called with non-chain groups.
  * Added doxygen for RobotState::attachBody() warning of danger.
  * resolve full path of fcl library
    Because it seems to be common practice to ignore ${catkin_LIBRARY_DIRS}
    it's more easy to resolve the full library path here instead.
  * Fix fcl dependency in CMakeLists.txt
    See http://answers.ros.org/question/80936 for details
    Interestingly collision_detection_fcl already uses the correct
    variable ${LIBFCL_LIBRARIES} although it wasn't even set before
  * Contributors: Dave Coleman, Dave Hershberger, Ioan A Sucan, Sachin Chitta, sachinc, v4hn

 -- Dave Coleman <dave@dav.ee>  Thu, 27 Feb 2014 08:00:00 -0000

ros-lunar-moveit-core (0.5.6-0zesty) zesty; urgency=high

  * fix mix-up comments, use getCollisionRobotUnpadded() since this function is checkCollisionUnpadded.
  * Updated tests to new run-time usage of moveit_resources.
  * robot_state: comment meaning of default
  * Trying again to fix broken tests.
  * document RobotState methods
  * transforms: clarify comment
  * Fixed build of test which depends on moveit_resources.
  * Removed debug-write in CMakeLists.txt.
  * Added running of currently passing tests to .travis.yml.
  * Add kinematic options when planning for CartesianPath
  * -Fix kinematic options not getting forwarded, which can lead to undesired behavior in some cases
  * Added clarifying doxygen to collision_detection::World::Object.

 -- Dave Coleman <dave@dav.ee>  Thu, 06 Feb 2014 08:00:00 -0000

ros-lunar-moveit-core (0.5.5-0zesty) zesty; urgency=high

  * Fix for computing jacobian when the root_joint is not an active joint.
  * RobotState: added doxygen comments clarifying action of attachBody().
  * Always check for dirty links.
  * Update email addresses.
  * Robot_state: fix copy size bug.
  * Corrected maintainer email.
  * Fixed duration in robottrajectory.swap.
  * Fixing distance field bugs.
  * Compute associated transforms bug fixed.
  * Fixing broken tests for changes in robot_state.
  * Fixed doxygen function-grouping.
  * Fix #95 <https://github.com/ros-planning/moveit_core/issues/95>.
  * More docs for RobotState.

 -- Dave Coleman <dave@dav.ee>  Tue, 03 Dec 2013 08:00:00 -0000

ros-lunar-moveit-core (0.5.4-0zesty) zesty; urgency=high

  * Add functionality for enforcing velocity limits; update API to better naming to cleanly support the new additions
  * Adding Travis Continuous Integration to MoveIt
  * remember if a group could be a parent of an eef, even if it is not the default one

 -- Dave Coleman <dave@dav.ee>  Fri, 11 Oct 2013 07:00:00 -0000

ros-lunar-moveit-core (0.5.3-0zesty) zesty; urgency=high

  * remove use of flat_map

 -- Dave Coleman <dave@dav.ee>  Wed, 25 Sep 2013 07:00:00 -0000

ros-lunar-moveit-core (0.5.2-0zesty) zesty; urgency=high

  * Rewrite RobotState and significantly update RobotModel; lots of optimizations
  * add support for diffs in RobotState
  * fix #87 <https://github.com/ros-planning/moveit_core/issues/87>
  * add non-const variants for getRobotMarkers
  * use trajectory_msgs::JointTrajectory for object attach information instead of sensor_msgs::JointState
  * add effort to robot state
  * do not include mimic joints or fixed joints in the set of joints in a robot trajectory
  * voxel_grid: finish adding Eigen accessors
  * voxel_grid: add Eigen accessors
  * eliminate determineCollisionPoints() and distance_field_common.h
  * propagation_distance_field: make getNearestCell() work with max_dist cells
  * distance_field: fix bug in adding shapes
  * propagation_distance_field: add getNearestCell()

 -- Dave Coleman <dave@dav.ee>  Mon, 23 Sep 2013 07:00:00 -0000

ros-lunar-moveit-core (0.5.1-0zesty) zesty; urgency=high

  * remove CollisionMap message, allow no link name in for AttachedCollisionObject REMOVE operations
  * make headers and author definitions aligned the same way; white space fixes
  * move background_processing lib to core
  * enable RTTI for CollisionRequest
  * added ability to find attached objects for a group
  * add function for getting contact pairs

 -- Dave Coleman <dave@dav.ee>  Tue, 13 Aug 2013 07:00:00 -0000

ros-lunar-moveit-core (0.5.0-0zesty) zesty; urgency=high

  * move msgs to common_msgs

 -- Dave Coleman <dave@dav.ee>  Mon, 15 Jul 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.7-0zesty) zesty; urgency=high

  * doc updates
  * white space fixes (tabs are now spaces)
  * update root joint if needed, after doing backward fk
  * adding options struct to kinematics base
  * expose a planning context in the planning_interface base library

 -- Dave Coleman <dave@dav.ee>  Fri, 12 Jul 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.6-0zesty) zesty; urgency=high

  * Added ability to change planner configurations in the interface
  * add docs for controller manager
  * fix computeTransformBackward()

 -- Dave Coleman <dave@dav.ee>  Wed, 03 Jul 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.5-0zesty) zesty; urgency=high

  * add computeBackwardTransform()
  * bugfixes for voxel_grid, distance_field
  * slight improvements to profiler
  * Fixes compile failures on OS X with clang
  * minor speedup in construction of RobotState
  * fix time parametrization crash due to joints that have #variables!=1
  * remove re-parenting of URDF models feature (we can do it cleaner in a different way)

 -- Dave Coleman <dave@dav.ee>  Wed, 26 Jun 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.4-0zesty) zesty; urgency=high

  * fixes for hydro
  * be careful about when to add a / in front of the frame name

 -- Dave Coleman <dave@dav.ee>  Mon, 03 Jun 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.3-0zesty) zesty; urgency=high

  * remove distinction of loaded and active controllers

 -- Dave Coleman <dave@dav.ee>  Fri, 31 May 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.2-0zesty) zesty; urgency=high

  * generate header with version information

 -- Dave Coleman <dave@dav.ee>  Wed, 29 May 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.1-0zesty) zesty; urgency=high

  * fix #66 <https://github.com/ros-planning/moveit_core/issues/66>
  * rename getTransforms() to copyTransforms()
  * refactor how we deal with frames; add a separate library
  * remove direction from CollisionResult

 -- Dave Coleman <dave@dav.ee>  Mon, 27 May 2013 07:00:00 -0000

ros-lunar-moveit-core (0.4.0-0zesty) zesty; urgency=high

  * attempt to fix #241 <https://github.com/ros-planning/moveit_core/issues/241> from moveit_ros
  * update paths so that files are found in the globally installed moveit_resources package
  * remove magical 0.2 and use of velocity_map
  * Work on issue #35 <https://github.com/ros-planning/moveit_core/issues/35>.

 -- Dave Coleman <dave@dav.ee>  Thu, 23 May 2013 07:00:00 -0000

ros-lunar-moveit-core (0.3.19-0zesty) zesty; urgency=high

  * rename getAttachPosture to getDetachPosture
  * add support for attachment postures and implement MOVE operation for CollisionObject
  * add ability to fill in planning scene messages by component
  * when projection from start state fails for IK samplers, try random states
  * bugfixes

 -- Dave Coleman <dave@dav.ee>  Thu, 02 May 2013 07:00:00 -0000

ros-lunar-moveit-core (0.3.18-0zesty) zesty; urgency=high

  * allow non-const access to kinematic solver
  * bugfix: always update variable transform

 -- Dave Coleman <dave@dav.ee>  Wed, 17 Apr 2013 07:00:00 -0000

ros-lunar-moveit-core (0.3.17-0zesty) zesty; urgency=high

  * bugfixes
  * add console colors
  * add class fwd macro
  * cleanup API of trajectory lookup
  * Added method to get joint type as string
  * fixing the way mimic joints are updated
  * fixed tests

 -- Dave Coleman <dave@dav.ee>  Tue, 16 Apr 2013 07:00:00 -0000

ros-lunar-moveit-core (0.3.16-0zesty) zesty; urgency=high

  * bugfixes
  * robot_state::getFrameTransform now returns a ref instead of a pointer; fixed a bug in transforming Vector3 with robot_state::Transforms, add planning_scene::getFrameTransform
  * add profiler tool (from ompl)

 -- Dave Coleman <dave@dav.ee>  Fri, 15 Mar 2013 07:00:00 -0000

ros-lunar-moveit-core (0.3.15-0zesty) zesty; urgency=high

  * Remove configure from PlanningScene
  * return shared_ptr from getObject() (was ref to shared_ptr)
  * use NonConst suffix on PlanningScene non-const get functions.
  * make setActiveCollisionDetector(string) return bool status
  * use CollisionDetectorAllocator in PlanningScene
  * add World class
  * bodies attached to the same link should not collide
  * include velocities in conversions
  * Added more general computeCartesianPath, takes vector of waypoints
  * efficiency improvements

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Mar 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.14-0zesty) zesty; urgency=high

  * initialize controller state by default
  * fix #157 <https://github.com/ros-planning/moveit_core/issues/157> in moveit_ros
  * fix moveit_ros/#152 <https://github.com/ros-planning/moveit_core/issues/152>

 -- Dave Coleman <dave@dav.ee>  Tue, 05 Feb 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.13-0zesty) zesty; urgency=high

  * add a means to get the names of the known states (as saved in SRDF)
  * removed kinematics planner

 -- Dave Coleman <dave@dav.ee>  Tue, 05 Feb 2013 07:25:00 -0000

ros-lunar-moveit-core (0.3.12-0zesty) zesty; urgency=high

  * Adding comments to voxel grid
  * Adding in octree constructor and some additional fields and tests
  * Getting rid of obstacle_voxel set as it just slows things down
  * Removing pf_distance stuff, adding some more performance, getting rid of addCollisionMapToField function
  * Fixing some bugs for signed distance field and improving tests
  * Merging signed functionality into PropagateDistanceField, adding remove capabilities, and adding a few comments and extra tests

 -- Dave Coleman <dave@dav.ee>  Mon, 04 Feb 2013 21:16:00 -0000

ros-lunar-moveit-core (0.3.11-0zesty) zesty; urgency=high

  * rename KinematicState to RobotState, KinematicTrajectory to RobotTrajectory
  * remove warnings about deprecated functions, use a deque instead of vector to represent kinematic trajectories

 -- Dave Coleman <dave@dav.ee>  Sat, 02 Feb 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.10-0zesty) zesty; urgency=high

  * fix #28 <https://github.com/ros-planning/moveit_core/issues/28>
  * improves implementation of metaball normal refinement for octomap
  * add heuristic to detect jumps in joint-space distance
  * make it such that when an end effector is looked up by group name OR end effector name, things work as expected
  * removed urdf and srdf from configure function since kinematic model is also passed in
  * make sure decoupling of scenes from parents that are themselves diffs to other scenes actually works
  * Fix KinematicState::printStateInfo to actually print to the ostream given.
  * add option to specify whether the reference frame should be global or not when computing Cartesian paths
  * update API for trajectory smoother
  * add interpolation function that takes joint velocities into account, generalize setDiffFromIK
  * add option to reverse trajectories
  * add computeCartesianPath()
  * add ability to load & save scene geometry as text
  * compute jacobian with kdl
  * fix #15 <https://github.com/ros-planning/moveit_core/issues/15>

 -- Dave Coleman <dave@dav.ee>  Mon, 28 Jan 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.9-0zesty) zesty; urgency=high

  * adding logError when kinematics solver not instantiated, also changing @class
  * move some functions to a anonymous namespace
  * add doc for kinematic_state ns

 -- Dave Coleman <dave@dav.ee>  Sat, 05 Jan 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.8-0zesty) zesty; urgency=high

  * add one more CATKIN dep

 -- Dave Coleman <dave@dav.ee>  Thu, 03 Jan 2013 08:00:00 -0000

ros-lunar-moveit-core (0.3.7-0zesty) zesty; urgency=high

  * add capabilities related to reasoning about end-effectors

 -- Dave Coleman <dave@dav.ee>  Mon, 31 Dec 2012 08:00:00 -0000

ros-lunar-moveit-core (0.3.6-0zesty) zesty; urgency=high

  * add ability to specify external sampling constraints for constraint samplers

 -- Dave Coleman <dave@dav.ee>  Thu, 20 Dec 2012 08:00:00 -0000

ros-lunar-moveit-core (0.3.5-0zesty) zesty; urgency=high

  * fix build system

 -- Dave Coleman <dave@dav.ee>  Wed, 19 Dec 2012 09:40:00 -0000

ros-lunar-moveit-core (0.3.4-0zesty) zesty; urgency=high

  * add notion of default number of IK attempts
  * added ability to use IK constraints in sampling with IK samplers
  * fixing service request to take proper group name, check for collisions
  * make setFromIK() more robust

 -- Dave Coleman <dave@dav.ee>  Wed, 19 Dec 2012 09:32:00 -0000

ros-lunar-moveit-core (0.3.3-0zesty) zesty; urgency=high

  * adding capability for constraint aware kinematics + consistency limits to joint state group
  * changing the way consistency limits are specified
  * speed up implementation of infinityNormDistance()
  * adding distance functions and more functions to sample near by
  * remove the notion of PlannerCapabilities

 -- Dave Coleman <dave@dav.ee>  Sun, 09 Dec 2012 08:00:00 -0000

ros-lunar-moveit-core (0.3.2-0zesty) zesty; urgency=high

  * robustness checks + re-enabe support for octomaps
  * adding a bunch of functions to sample near by

 -- Dave Coleman <dave@dav.ee>  Tue, 04 Dec 2012 08:00:00 -0000

ros-lunar-moveit-core (0.3.1-0zesty) zesty; urgency=high

  * update debug messages for dealing with attached bodies, rely on the conversion functions more
  * changing manipulability calculations
  * adding docs
  * log error if joint model group not found
  * cleaning up code, adding direct access api for better efficiency

 -- Dave Coleman <dave@dav.ee>  Mon, 03 Dec 2012 08:00:00 -0000

ros-lunar-moveit-core (0.3.0-0zesty) zesty; urgency=high

  * added a helper function

 -- Dave Coleman <dave@dav.ee>  Fri, 30 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.12-0zesty) zesty; urgency=high

  * fixing payload computations
  * Changing pr2_arm_kinematics test plugin for new kinematics_base changes
  * Finished updating docs, adding tests, and making some small changes to the function of UnionConstraintSampler and ConstraintSamplerManager
  * Some extra logic for making sure that a set of joint constraints has coverage for all joints, and some extra tests and docs for constraint sampler manager
  * adding ik constraint sampler tests back in, and modifying dependencies such that everything builds
  * Changing the behavior of default_constraint_sampler JointConstraintSampler to support detecting conflicting constraints or one constraint that narrows another value, and adding a new struct for holding data.  Also making kinematic_constraint ok with values that are within 2*epsilon of the limits

 -- Dave Coleman <dave@dav.ee>  Thu, 29 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.11-0zesty) zesty; urgency=high

  * update kinematics::KinematicBase API and add the option to pass constraints to setFromIK() in KinematicState

 -- Dave Coleman <dave@dav.ee>  Wed, 28 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.10-0zesty) zesty; urgency=high

  * minor reorganization of code
  * fix #10 <https://github.com/ros-planning/moveit_core/issues/10>

 -- Dave Coleman <dave@dav.ee>  Sun, 25 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.9-0zesty) zesty; urgency=high

  * minor bugfix

 -- Dave Coleman <dave@dav.ee>  Fri, 23 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.8-0zesty) zesty; urgency=high

  * removing deprecated functions

 -- Dave Coleman <dave@dav.ee>  Wed, 21 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.7-0zesty) zesty; urgency=high

  * moving sensor_manager and controller_manager from moveit_ros

 -- Dave Coleman <dave@dav.ee>  Mon, 19 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.6-0zesty) zesty; urgency=high

  * reorder includes
  * add group name option to collision checking via planning scene functions

 -- Dave Coleman <dave@dav.ee>  Fri, 16 Nov 2012 22:19:00 -0000

ros-lunar-moveit-core (0.2.5-0zesty) zesty; urgency=high

  * update DEPENDS
  * robustness checks

 -- Dave Coleman <dave@dav.ee>  Wed, 14 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.4-0zesty) zesty; urgency=high

  * add setVariableBounds()
  * read information about passive joints from srdf

 -- Dave Coleman <dave@dav.ee>  Mon, 12 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.3-0zesty) zesty; urgency=high

  * using srdf info for #6 <https://github.com/ros-planning/moveit_core/issues/6>
  * fix #6 <https://github.com/ros-planning/moveit_core/issues/6>

 -- Dave Coleman <dave@dav.ee>  Thu, 08 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.2-0zesty) zesty; urgency=high

  * add processPlanningSceneWorldMsg()
  * Adding and fixing tests
  * Adding docs
  * moves refineNormals to new file in collision_detection
  * Fixed bugs in PositionConstraint, documented Position and Orientation constraint, extended tests for Position and OrientationConstraint and started working on tests for VisibilityConstraint
  * more robust checking of joint names in joint constraints
  * adds smoothing to octomap normals; needs better testing

 -- Dave Coleman <dave@dav.ee>  Wed, 07 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.1-0zesty) zesty; urgency=high

  * revert some of the install location changes

 -- Dave Coleman <dave@dav.ee>  Tue, 06 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.2.0-0zesty) zesty; urgency=high

  * update install target locations

 -- Dave Coleman <dave@dav.ee>  Mon, 05 Nov 2012 08:00:00 -0000

ros-lunar-moveit-core (0.1.19-0zesty) zesty; urgency=high

  * add dep on kdl_parser

 -- Dave Coleman <dave@dav.ee>  Fri, 02 Nov 2012 07:00:00 -0000

ros-lunar-moveit-core (0.1.18-0zesty) zesty; urgency=high

  * add kinematics_metrics & dynamics_solver to build process

 -- Dave Coleman <dave@dav.ee>  Thu, 01 Nov 2012 07:00:00 -0000

ros-lunar-moveit-core (0.1.17-0zesty) zesty; urgency=high

  * fix DEPENDS libs

 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2012 01:48:00 -0000

ros-lunar-moveit-core (0.1.16-0zesty) zesty; urgency=high

  * more robust checking of joint names in joint constraints
  * KinematicModel and KinematicState are independent; need to deal with transforms and conversions next

 -- Dave Coleman <dave@dav.ee>  Sat, 27 Oct 2012 23:14:00 -0000

ros-lunar-moveit-core (0.1.15-0zesty) zesty; urgency=high

  * moving all headers under include/moveit/ and using console_bridge instead of rosconsole

 -- Dave Coleman <dave@dav.ee>  Mon, 22 Oct 2012 07:00:00 -0000

ros-lunar-moveit-core (0.1.14-0zesty) zesty; urgency=high

  * fix typo

 -- Dave Coleman <dave@dav.ee>  Sat, 20 Oct 2012 18:20:00 -0000

ros-lunar-moveit-core (0.1.13-0zesty) zesty; urgency=high

  * removing no longer needed deps
  * add moveit_ prefix for all generated libs

 -- Dave Coleman <dave@dav.ee>  Sat, 20 Oct 2012 17:51:00 -0000

ros-lunar-moveit-core (0.1.12-0zesty) zesty; urgency=high

  * porting to new build system
  * moved some libraries to moveit_planners
  * add access to URDF and SRDF in planning_models
  * Adding in path constraints for validating states, needs more testing

 -- Dave Coleman <dave@dav.ee>  Thu, 18 Oct 2012 07:00:00 -0000

ros-lunar-moveit-core (0.1.11-0zesty) zesty; urgency=high

  * update conversion functions for kinematic states to support attached bodies

 -- Dave Coleman <dave@dav.ee>  Thu, 20 Sep 2012 19:55:00 -0000

ros-lunar-moveit-core (0.1.10-0zesty) zesty; urgency=high

  * making JointConstraints + their samplers work with local variables for multi_dof joints
  * Remove fast time parameterization and zero out waypoint times
  * setting correct error codes
  * bugfixes
  * changing the way subgroups are interpreted

 -- Dave Coleman <dave@dav.ee>  Thu, 20 Sep 2012 17:34:00 -0000

ros-lunar-moveit-core (0.1.9-0zesty) zesty; urgency=high

  * bugfixes

 -- Dave Coleman <dave@dav.ee>  Fri, 14 Sep 2012 07:00:00 -0000

ros-lunar-moveit-core (0.1.8-0zesty) zesty; urgency=high

  * bugfixes

 -- Dave Coleman <dave@dav.ee>  Thu, 13 Sep 2012 03:56:00 -0000

ros-lunar-moveit-core (0.1.7-0zesty) zesty; urgency=high

  * bugfixes

 -- Dave Coleman <dave@dav.ee>  Thu, 13 Sep 2012 01:56:00 -0000

ros-lunar-moveit-core (0.1.6-0zesty) zesty; urgency=high

  * add install targets, fix some warnings and errors

 -- Dave Coleman <dave@dav.ee>  Thu, 13 Sep 2012 01:39:00 -0000

ros-lunar-moveit-core (0.1.5-0zesty) zesty; urgency=high

  * first release

 -- Dave Coleman <dave@dav.ee>  Thu, 13 Sep 2012 00:25:00 -0000


